# Uses of Class
org.apache.sysds.runtime.instructions.spark.IndexingSPInstruction

Packages that use IndexingSPInstruction
Package
Description
org.apache.sysds.resource.cost
org.apache.sysds.runtime.instructions.fed
org.apache.sysds.runtime.instructions.spark

## Uses of IndexingSPInstruction in org.apache.sysds.resource.cost

Methods in org.apache.sysds.resource.cost with parameters of type IndexingSPInstruction
Modifier and Type
Method
Description
`static double`
SparkCostUtils.`getIndexingInstTime(IndexingSPInstruction inst, VarStats input1, VarStats input2, VarStats output, IOCostUtils.IOMetrics driverMetrics, IOCostUtils.IOMetrics executorMetrics)`

## Uses of IndexingSPInstruction in org.apache.sysds.runtime.instructions.fed

Methods in org.apache.sysds.runtime.instructions.fed with parameters of type IndexingSPInstruction
Modifier and Type
Method
Description
`static IndexingFEDInstruction`
IndexingFEDInstruction.`parseInstruction(IndexingSPInstruction instr)`

## Uses of IndexingSPInstruction in org.apache.sysds.runtime.instructions.spark

Subclasses of IndexingSPInstruction in org.apache.sysds.runtime.instructions.spark
Modifier and Type
Class
Description
`class`
`FrameIndexingSPInstruction`
This class implements the frame indexing functionality inside Spark.
`class`
`MatrixIndexingSPInstruction`
This class implements the matrix indexing functionality inside CP.
Methods in org.apache.sysds.runtime.instructions.spark that return IndexingSPInstruction
Modifier and Type
Method
Description
`static IndexingSPInstruction`
IndexingSPInstruction.`parseInstruction(String str)`